import axios from "../../utils/request";

export function getConfig(params) {
  return axios({
    url: "/system/third/syncData/config",
    method: "get",
    params: params
  });
}

export function saveConfig(data) {
  return axios({
    url: "/system/third/syncData/save",
    method: "post",
    data: data
  });
}

//编辑
export function updateConfig(data) {
  return axios({
    url: "/system/third/syncData/update",
    method: "post",
    data: data
  });
}

//查询已选入扫码单据类型
export function getBusList(params) {
  return axios({
    url: "/system/third/syncData/getBus",
    method: "get",
    params: params
  });
}

//添加扫码单据类型
export function addBus(data) {
  return axios({
    url: "/system/third/syncData/addBus",
    method: "post",
    data: data
  });
}

// 编辑扫码单据类型
export function editBus(data) {
  return axios({
    url: "/system/third/syncData/editBus",
    method: "post",
    data: data
  });
}


// 移除扫码单据类型
export function removeBus(data) {
  return axios({
    url: "/system/third/syncData/removeBus",
    method: "post",
    data: data
  });
}


